/**
 * 专员维护考核人和评分人页面(专员) 动态列表专员操作
 */
shr.defineClass("shr.custom.ExamineEntryDynamicList", shr.batchAffair.EmpBatchEnrollList, {
    initalizeDOM: function () {
        var _self = this;
        shr.custom.ExamineEntryDynamicList.superClass.initalizeDOM.call(this);
    },
    /**
     * 处理表格的pager
     */
    renderPager: function (page, pageSize) {
        var _self = this;
        $("#grid_periodicQuarter.id").hide();
    },
    /**
     * 启动排序
     */
    startOrderAction(){
        var _self = this;
        var periodicQuarterId = $('#grid').jqGrid('getOriginalRowData')[0]["periodicQuarter.id"]
        var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.custom.performancenew.handler.ExamineDynamicListHandler&method=startOrder";
        $.ajax({
            url: url,
            async: false,
            // data: { periodicQuarterId: periodicQuarterId},
            success: function (response) {
                shr.showInfo({
                    message: "已锁定周期",
                    history: 2
                });
                setTimeout(function() {
                    location.reload();
                }, 2000); // 2000 毫秒即为两秒钟

            }
            , error: function (response) {
                shr.showError({
                    message: response
                });
            }
        });
    },
    /**
     * 组织维护得分表
     */
    performanceScoreOrgAction() {
        //获取周期季度ID
        var periodicQuarterId = $('#grid').jqGrid('getOriginalRowData')[0]["periodicQuarter.id"]
        this.reloadPage({
			uipk: "PerformanceScore.dynamicList",
			examineGradePersonId: periodicQuarterId,
		});	
    },
    /**
     * 锁定周期
     */
    periodLockAction() {
        var _self = this;
        var periodicQuarterId = $('#grid').jqGrid('getOriginalRowData')[0]["periodicQuarter.id"]
        var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.custom.performancenew.handler.ExamineDynamicListHandler&method=periodLock";
        $.ajax({
            url: url,
            async: false,
            data: { periodicQuarterId: periodicQuarterId},
            success: function (response) {
                shr.showInfo({
                    message: "已锁定周期",
                    history: 2
                });
                setTimeout(function() {
                    location.reload();
                }, 2000); // 2000 毫秒即为两秒钟

            }
            , error: function (response) {
                shr.showError({
                    message: response
                });
            }
        });

    },
    /**
     * 解除周期
     */
    periodUnlockAction() {
        var _self = this;
        var periodicQuarterId = $('#grid').jqGrid('getOriginalRowData')[0]["periodicQuarter.id"]
        var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.eas.custom.performancenew.handler.ExamineDynamicListHandler&method=periodUnlock";
        $.ajax({
            url: url,
            async: false,
            data: { periodicQuarterId: periodicQuarterId},
            success: function (response) {
                shr.showInfo({
                    message: "已解除周期",
                    history: 2
                });
                setTimeout(function() {
                    location.reload();
                }, 2000); // 2000 毫秒即为两秒钟
                

            }
            , error: function (response) {
                shr.showError({
                    message: response
                });
            }
        });

    },

})